{% extends 'layout/core.html.j2' %}

{% block head %}

    {# === Page meta data === #}
    {% block meta %}
    <meta charset="UTF-8" />
    {% endblock %}

    {# === Page links === #}
    {% block meta_links %}{% endblock %}

    {# === Page libraries === #}
    {% block meta_libs %}{% endblock %}

    {# === Page inline style === #}
    {% block meta_inline_style %}{% endblock %}

    {# === Page title === #}
    <title>{{ title | default(config.app.title) }}</title>

{% endblock %}
{% block body %}

    {# === Page header === #}
    <layout-header>{% include 'layout/_header.html.j2' %}</layout-header>

    {# === Page before === #}
    <layout-before>{% include 'layout/_before.html.j2' %}</layout-before>

    {# === Page left === #}
    <layout-left>{% include 'layout/_left.html.j2' %}</layout-left>

    {# === Page main === #}
    <main>{% block main %}{% endblock %}</main>

    {# === Page right === #}
    <layout-right>{% include 'layout/_right.html.j2' %}</layout-right>

    {# === Page after === #}
    <layout-after>{% include 'layout/_after.html.j2' %}</layout-after>

    {# === Page footer === #}
    <layout-footer>{% include 'layout/_footer.html.j2' %}</layout-footer>

    {# === Page scripts === #}
    {% stack script %}{% endstack %}

{% endblock %}